Bug 597359 - python-basemap-data depends on python-basemap
python-basemap-data depends on python-basemap
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-basemap-data (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 13:51 EDT by Ben Root
Modified: 2010-06-28 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Root 2010-05-28 13:51:23 EDT
Description of problem:
The package python-basemap-data depends on the package python-basemap.  Therefore, if one wants to remove just python-basemap (perhaps, to install from source), the package manager then wants to remove python-basemap-data.  It is also feasible that one may want to use python-basemap-data for other use without using python-basemap.

python-basemap should definitely depend on python-basemap-data, but I don't see a reason for the other way around.

Version-Release number of selected component (if applicable):
At least as far back as fedora 11.
Comment 1 Jef Spaleta 2010-05-28 15:59:57 EDT
You know, that makes some sense.

I'll make the change in rawhide. But considering the size of the data package I'm not inclined to roll an update with just this change for any fedora release. I don't want to push a 100M+ package down the tubes just for a minor packaging issue.

-jef
Comment 2 Ben Root 2010-05-28 17:23:32 EDT
Fine by me, but I wish noticed it before this recent release.  Makes me wonder when rpmdeltas are going to become standard...
Comment 3 Jef Spaleta 2010-05-28 17:39:22 EDT
I can roll packages for you in the build system I guess...and stage the change so its picked up by any subsequent update..but even with deltas I'm not sure its worth pushing to the update repo by itself.  If a more substantial update is needed...I'll definitely include this change. As well as moving the examples subpackage to the python-basemap srpm.
Comment 4 Ben Root 2010-05-28 18:40:44 EDT
No thanks, I am now using the svn checkout from matplotlib.  I merely noticed the potential issue when I was removing the basemap package to prepare for the installation from source.

Staging it sounds like a good idea on the off-chance that there is an update to the data.  I have no opinion about the examples, as I usually use the online documentation instead.
Comment 5 Bug Zapper 2010-06-28 11:44:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.